Cannot upgrade J3.5.1 to any other version

Need help upgrading your Joomla! website or converting to Joomla! 3.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
Dtorr1981
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Wed May 06, 2015 8:37 am

Cannot upgrade J3.5.1 to any other version

Post by Dtorr1981 » Tue Jul 11, 2017 12:47 am

Hi guys,

I have a bit of an odd one here.

I've been asked to upgrade a very basic Joomla site, very few Extensions. I've been sent a backup of the site (from akeeba) and have installed it on my server which runs numerous Joomla installations without a problem.

Ok, so initially i attempted a straight upgrade to J3.7.3 from J3.5.1 - on both the front and backend this causes the following php error:
Fatal error: Class 'JInput' not found in /home/mydomain/public_html/rmi/libraries/joomla/application/web.php on line 149
Which refers to:

Code: Select all

{
            $this->input = new JInput;
        }
In the following function:

Code: Select all

public function __construct(JInput $input = null, Registry $config = null, JApplicationWebClient $client = null)
    {
        // If an input object is given use it.
        if ($input instanceof JInput)
        {
            $this->input = $input;
        }
        // Create the input based on the application logic.
        else
        {
            $this->input = new JInput;
        }

        // If a config object is given use it.
        if ($config instanceof Registry)
        {
            $this->config = $config;
        }
        // Instantiate a new configuration object.
        else
        {
            $this->config = new Registry;
        }

        // If a client object is given use it.
        if ($client instanceof JApplicationWebClient)
        {
            $this->client = $client;
        }
        // Instantiate a new web client object.
        else
        {
            $this->client = new JApplicationWebClient;
        }

        // Load the configuration object.
        $this->loadConfiguration($this->fetchConfigurationData());

        // Set the execution datetime and timestamp;
        $this->set('execution.datetime', gmdate('Y-m-d H:i:s'));
        $this->set('execution.timestamp', time());

        // Setup the response object.
        $this->response = new stdClass;
        $this->response->cachable = false;
        $this->response->headers = array();
        $this->response->body = array();

        // Set the system URIs.
    }
As per another post, i replaced both the reported file (web.php) and also the input.php file to no avail.

So the next step was to again restore to the 3.5.1 version i was given and attempt an incremental update, thus I've tried 3.6.0, 3.6.5, 3.7 - using the Joomla update component, following the updates I either receive a 404 generic html page or a custom error page from my main domain (i have installed this test site on a sub domain) which reports:
Invalid controller: name='update', format=''
Or the original error:
Fatal error: Class 'JInput' not found in /home/mydomain/public_html/rmi/libraries/joomla/application/web.php on line 149
I have ran the FPA and below are the results - please note i have deliberately downgraded to PHP5.6 while troubleshooting this.
Forum Post Assistant (v1.3.1) : 11th July 2017 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.6.0-Stable (Noether) 12-July-2016
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Writable (644) | Owner: --protected-- . (uid: 1/gid: 1) | Group: --protected-- (gid: 1) | Valid For: 3.6
Configuration Options :: Offline: 0 | SEF: 1 | SEF Suffix: 1 | SEF ReWrite: 1 | .htaccess/web.config: Yes | GZip: 0 | Cache: 0 | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: 0 | FTP Layer: 0 | Proxy: 0 | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: N/A | SSL: 0 | FrontEdit: 1 | Error Reporting: maximum | Site Debug: 0 | Language Debug: 0 | Default Access: 1 | Unicode Slugs: 0 | Database Credentials Present: Yes

Host Configuration :: OS: Linux | OS Version: 3.10.0-427.36.1.lve1.4.44.el7.x86_64 | Technology: x86_64 | Web Server: LiteSpeed | Encoding: gzip, deflate, br | Doc Root: --protected-- | System TMP Writable: Yes

PHP Configuration :: Version: 5.6.30 | PHP API: litespeed | Session Path Writable: Yes | Display Errors: | Error Reporting: 32767 | Log Errors To: error_log | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Open Base: | Uploads: 1 | Max. Upload Size: 1G | Max. POST Size: 1G | Max. Input Time: -1 | Max. Execution Time: 120 | Memory Limit: 1024M

MySQL Configuration :: Version: 10.0.31-MariaDB-cll-lve (Client:10.0.31-MariaDB) | Host: --protected-- (--protected--) | Collation: latin1_swedish_ci (Character Set: latin1) | Database Size: 33.73 MiB | #of Tables:  253
Detailed Environment :: wrote:PHP Extensions :: Core (5.6.30) | date (5.6.30) | ereg () | libxml () | openssl () | pcre () | sqlite3 (0.7-dev) | zlib (2.0) | bz2 () | calendar () | ctype () | curl () | hash (1.0) | filter (0.11.0) | ftp () | gettext () | gmp () | SPL (0.2) | iconv () | pcntl () | readline (5.6.30) | Reflection ($Id: 5f15287237d5f78d75b19c26915aa7bd83dee8b8 $) | session () | standard (5.6.30) | SimpleXML (0.1) | mbstring () | tokenizer (0.1) | xml () | litespeed () | apcu (4.0.11) | mysqli (0.1) | imap () | mysqlnd (mysqlnd 5.0.11-dev - 20120503 - $Id: 76b08b24596e12d4553bd41fc93cccd5bac2fe7a $) | pspell () | tidy (2.0) | bcmath () | intl (1.1.0) | json (1.2.1) | dom (20031129) | PDO (1.0.4dev) | soap () | sockets () | xmlreader (0.1) | fileinfo (1.0.5) | xmlrpc (0.51) | gd () | exif (1.4 $Id: 1c8772f76be691b7b3f77ca31eb788a2abbcefe5 $) | pdo_mysql (1.0.2) | xmlwriter (0.1) | mcrypt () | xsl (0.1) | pdo_sqlite (1.0.1) | suhosin (0.9.37.1) | zip (1.12.5) | Phar (2.0.2) | mysql (1.0) | posix () | mhash () | apc (4.0.11) | ionCube Loader () | Zend OPcache (7.0.4-devFE) | Zend Guard Loader () | Zend Engine (2.6.0) |
Potential Missing Extensions ::

Switch User Environment (Experimental) :: PHP CGI: No | Server SU: No | PHP SU: No | Custom SU (LiteSpeed/Cloud/Grid): Yes
Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) |

Elevated Permissions (First 10) ::
Database Information :: wrote:Database statistics :: Uptime: 25923 | Threads: 53 | Questions: 35562537 | Slow queries: 7 | Opens: 1264781 | Flush tables: 1 | Open tables: 400 | Queries per second avg: 1371.852 |
Extensions Discovered :: wrote:Components :: SITE :: com_mailto (3.0.0) 1 | com_wrapper (3.0.0) 1 |
Components :: ADMIN :: com_installer (3.0.0) 1 | com_tags (3.1.0) 1 | com_finder (3.0.0) 1 | com_redirect (3.0.0) 1 | com_users (3.0.0) 1 | com_config (3.0.0) 1 | com_modules (3.0.0) 1 | com_languages (3.0.0) 1 | com_search (3.0.0) 1 | com_weblinks (3.5.0) 1 | com_joomlaupdate (3.6.0) 1 | com_cache (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_messages (3.0.0) 1 | com_content (3.0.0) 1 | com_contenthistory (3.2.0) 1 | com_media (3.0.0) 1 | com_login (3.0.0) 1 | com_templates (3.0.0) 1 | com_admin (3.0.0) 1 | com_newsfeeds (3.0.0) 1 | com_checkin (3.0.0) 1 | com_ajax (3.2.0) 1 | com_postinstall (3.2.0) 1 | com_categories (3.0.0) 1 | Akeeba (5.4.0) 1 | com_banners (3.0.0) 1 | com_menus (3.0.0) 1 | com_plugins (3.0.0) 1 | com_associations (3.7.0) 1 | com_fields (3.7.0) 1 | COM_SPTRANSFER (3.7.0) 1 | XCloner-BackupandRestore (3.5.2) 1 | COM_ITPGOOGLESEARCH (2.5) 1 |

Modules :: SITE :: mod_languages (3.5.0) 1 | mod_syndicate (3.0.0) 1 | Custom HTML advanced (2.0) 1 | mod_weblinks (3.5.0) 1 | mod_custom (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_search (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_login (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_articles_categories (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_articles_latest (3.0.0) 1 | MOD_ITPGOOGLESEARCH (2.5) 0 |
Modules :: ADMIN :: mod_logged (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_latest (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_status (3.0.0) 1 | mod_login (3.0.0) 1 | mod_title (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_version (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_menu (3.0.0) 1 |

Plugins :: SITE :: plg_installer_webinstaller (1.1.1) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 0 | plg_installer_packageinstaller (3.6.0) 0 | PLG_INSTALLER_URLINSTALLER (3.6.0) 0 | plg_extension_joomla (3.0.0) 1 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_ldap (3.0.0) 0 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_cookie (3.0.0) 1 | plg_captcha_recaptcha (3.4.0) 0 | plg_content_emailcloak (3.0.0) 1 | plg_content_vote (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_finder (3.0.0) 0 | plg_content_pagebreak (3.0.0) 1 | plg_content_joomla (3.0.0) 1 | plg_content_fields (3.7.0) 0 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_akeebabackup (1.0) 0 | plg_quickicon_phpversioncheck (3.7.0) 0 | plg_user_profile (3.0.0) 0 | plg_user_joomla (3.0.0) 1 | plg_user_contactcreator (3.0.0) 0 | plg_finder_contacts (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_weblinks (3.5.0) 1 | plg_finder_categories (3.0.0) 1 | plg_system_logout (3.0.0) 1 | manage.myJoomla.com Secure Plu (n/a) 1 | plg_system_stats (3.5.0) 0 | plg_system_highlight (3.0.0) 1 | PLG_SYSTEM_AKEEBAUPDATECHECK_T (1.1) 1 | plg_system_log (3.0.0) 1 | plg_system_redirect (3.0.0) 1 | plg_system_languagefilter (3.0.0) 0 | plg_system_sef (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_cache (3.0.0) 0 | plg_system_remember (3.0.0) 1 | plg_system_updatenotification (3.5.0) 0 | plg_system_debug (3.0.0) 1 | plg_system_p3p (3.0.0) 1 | PLG_SYSTEM_BACKUPONUPDATE_TITL (3.7) 1 | plg_system_fields (3.7.0) 0 | System - Yjsg Framework (2.2.7) 1 | plg_editors-xtd_module (3.5.0) 0 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 0 | plg_editors-xtd_menu (3.7.0) 0 | plg_editors_tinymce (4.3.12) 1 | plg_editors_codemirror (5.15.2) 1 | plg_twofactorauth_yubikey (3.2.0) 0 | plg_twofactorauth_totp (3.2.0) 0 | plg_search_newsfeeds (3.0.0) 1 | plg_search_tags (3.0.0) 1 | plg_search_content (3.0.0) 1 | plg_search_contacts (3.0.0) 1 | plg_search_weblinks (3.5.0) 1 | plg_search_categories (3.0.0) 1 | plg_fields_calendar (3.7.0) 0 | plg_fields_checkboxes (3.7.0) 0 | plg_fields_color (3.7.0) 0 | plg_fields_editor (3.7.0) 0 | plg_fields_imagelist (3.7.0) 0 | plg_fields_integer (3.7.0) 0 | plg_fields_list (3.7.0) 0 | plg_fields_media (3.7.0) 0 | plg_fields_radio (3.7.0) 0 | plg_fields_sql (3.7.0) 0 | plg_fields_text (3.7.0) 0 | plg_fields_textarea (3.7.0) 0 | plg_fields_url (3.7.0) 0 | plg_fields_user (3.7.0) 0 | plg_fields_usergrouplist (3.7.0) 0 |
Templates Discovered :: wrote:Templates :: SITE :: protostar (1.0) 1 | Baseline (1.0.1) 1 | beez3 (3.1.0) 1 | Baseline (1.0.1) 1 |
Templates :: ADMIN :: isis (1.0) 1 | hathor (3.0.0) 1 |
The above FPA was recorded after an attempted update to J3.6 which ended in the JInput not found error.

I've spent quite some time on this so any advice would be most appreciated:
Template and framework updated
Non core EXT's disabled
Ran discover and installed missing EXT's
Ran DB fix
Updated while Beez template in use etc etc...

Thank you in advance.

D

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19704
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Cannot upgrade J3.5.1 to any other version

Post by leolam » Tue Jul 11, 2017 5:10 am

Your com_Joomlaupdate is not up-to-date (3.6.0). Install through the extension manager this https://github.com/joomla/joomla-cms/re ... -3.6.1.zip and your issues are resolved

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services

Dtorr1981
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Wed May 06, 2015 8:37 am

Re: Cannot upgrade J3.5.1 to any other version

Post by Dtorr1981 » Tue Jul 11, 2017 10:14 am

Hi Leo, Thank you for your response. I updated com_joomlaupdate but still have the same issue regarding JInput() do you have any additional suggestions?

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19704
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Cannot upgrade J3.5.1 to any other version

Post by leolam » Wed Jul 12, 2017 3:34 am

One of your extensions is playing havoc and is not compatible with Joomla 3.7. This becomes trial and eror but you have to find the one. My first suggestion looking at the FPA is to change to Beez and disable the plugin "System - Yjsg Framework (2.2.7)", uninstall xCloner (you can reinstall again later), disable module and component "ITPGOOGLESEARCH" , com_sptransfer one by one and try from here each time. Make sure you have a backup from a working installation

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services

Dtorr1981
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Wed May 06, 2015 8:37 am

Re: Cannot upgrade J3.5.1 to any other version

Post by Dtorr1981 » Wed Jul 12, 2017 12:04 pm

Hi Leo, thank you once again for your support.

I have completely removed all extensions/plugins/modules apart from Akeeba and I am still facing issues.

After the update I get a 403 forbidden error on both the frontend and admin. Here is an updated version of the FPA while the 403 forbidden is reporting:
Last PHP Error(s) Reported :: Forum Post Assistant (v1.3.1) : 12th July 2017 wrote:[12-Jul-2017 10:25:27 Europe/London] PHP Warning: fseek() expects parameter 1 to be resource, boolean given in /home/wwwsitew/public_html/rmi/kickstart.php on line 1451
Forum Post Assistant (v1.3.1) : 12th July 2017 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.7.3-Stable (Amani) 4-July-2017
Joomla! Configured :: Yes | Writable (644) | Owner: --protected-- . (uid: 1/gid: 1) | Group: --protected-- (gid: 1) | Valid For: 3.7
Configuration Options :: Offline: 0 | SEF: 1 | SEF Suffix: 0 | SEF ReWrite: 0 | .htaccess/web.config: Yes | GZip: 0 | Cache: 0 | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: 0 | FTP Layer: 0 | Proxy: 0 | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: N/A | SSL: 0 | FrontEdit: 1 | Error Reporting: none | Site Debug: 0 | Language Debug: 0 | Default Access: 1 | Unicode Slugs: 0 | Database Credentials Present: Yes

Host Configuration :: OS: Linux | OS Version: 3.10.0-427.36.1.lve1.4.44.el7.x86_64 | Technology: x86_64 | Web Server: LiteSpeed | Encoding: gzip, deflate, br | Doc Root: --protected-- | System TMP Writable: Yes

PHP Configuration :: Version: 5.6.30 | PHP API: litespeed | Session Path Writable: Yes | Display Errors: | Error Reporting: 32767 | Log Errors To: error_log | Last Known Error: 12th July 2017 10:25:27. | Register Globals: | Magic Quotes: | Safe Mode: | Open Base: | Uploads: 1 | Max. Upload Size: 1G | Max. POST Size: 1G | Max. Input Time: -1 | Max. Execution Time: 120 | Memory Limit: 1024M

MySQL Configuration :: Version: 10.0.31-MariaDB-cll-lve (Client:10.0.31-MariaDB) | Host: --protected-- (--protected--) | Collation: utf8mb4_general_ci (Character Set: utf8mb4) | Database Size: 36.71 MiB | #of Tables:  174
Detailed Environment :: wrote:PHP Extensions :: Core (5.6.30) | date (5.6.30) | ereg () | libxml () | openssl () | pcre () | sqlite3 (0.7-dev) | zlib (2.0) | bz2 () | calendar () | ctype () | curl () | hash (1.0) | filter (0.11.0) | ftp () | gettext () | gmp () | SPL (0.2) | iconv () | pcntl () | readline (5.6.30) | Reflection ($Id: 5f15287237d5f78d75b19c26915aa7bd83dee8b8 $) | session () | standard (5.6.30) | SimpleXML (0.1) | mbstring () | tokenizer (0.1) | xml () | litespeed () | apcu (4.0.11) | mysqli (0.1) | imap () | mysqlnd (mysqlnd 5.0.11-dev - 20120503 - $Id: 76b08b24596e12d4553bd41fc93cccd5bac2fe7a $) | pspell () | tidy (2.0) | bcmath () | intl (1.1.0) | json (1.2.1) | dom (20031129) | PDO (1.0.4dev) | soap () | sockets () | xmlreader (0.1) | fileinfo (1.0.5) | xmlrpc (0.51) | gd () | exif (1.4 $Id: 1c8772f76be691b7b3f77ca31eb788a2abbcefe5 $) | pdo_mysql (1.0.2) | xmlwriter (0.1) | mcrypt () | xsl (0.1) | pdo_sqlite (1.0.1) | suhosin (0.9.37.1) | zip (1.12.5) | Phar (2.0.2) | mysql (1.0) | posix () | mhash () | apc (4.0.11) | ionCube Loader () | Zend OPcache (7.0.4-devFE) | Zend Guard Loader () | Zend Engine (2.6.0) |
Potential Missing Extensions ::

Switch User Environment (Experimental) :: PHP CGI: No | Server SU: No | PHP SU: No | Custom SU (LiteSpeed/Cloud/Grid): Yes
Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) |

Elevated Permissions (First 10) ::
Database Information :: wrote:Database statistics :: Uptime: 153240 | Threads: 63 | Questions: 269749442 | Slow queries: 185 | Opens: 7483406 | Flush tables: 1 | Open tables: 400 | Queries per second avg: 1760.306 |
Extensions Discovered :: wrote:Components :: SITE :: com_mailto (3.0.0) 1 | com_wrapper (3.0.0) 1 |
Components :: ADMIN :: com_installer (3.0.0) 1 | com_tags (3.1.0) 1 | com_finder (3.0.0) 1 | com_redirect (3.0.0) 1 | com_users (3.0.0) 1 | com_config (3.0.0) 1 | com_modules (3.0.0) 1 | com_languages (3.0.0) 1 | com_search (3.0.0) 1 | com_weblinks (3.5.0) 1 | com_joomlaupdate (3.6.2) 1 | com_cache (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_messages (3.0.0) 1 | com_content (3.0.0) 1 | com_contenthistory (3.2.0) 1 | com_media (3.0.0) 1 | com_login (3.0.0) 1 | com_templates (3.0.0) 1 | com_admin (3.0.0) 1 | com_newsfeeds (3.0.0) 1 | com_checkin (3.0.0) 1 | com_ajax (3.2.0) 1 | com_postinstall (3.2.0) 1 | com_categories (3.0.0) 1 | Akeeba (5.4.0) 1 | com_banners (3.0.0) 1 | com_menus (3.0.0) 1 | com_plugins (3.0.0) 1 | Admintools (4.2.0) 1 | com_associations (3.7.0) 1 | com_fields (3.7.0) 1 |

Modules :: SITE :: mod_languages (3.5.0) 1 | mod_syndicate (3.0.0) 1 | mod_weblinks (3.5.0) 1 | mod_custom (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_search (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_login (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_articles_categories (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_articles_latest (3.0.0) 1 |
Modules :: ADMIN :: mod_logged (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_latest (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_status (3.0.0) 1 | mod_login (3.0.0) 1 | mod_title (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_version (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_menu (3.0.0) 1 |

Plugins :: SITE :: plg_installer_webinstaller (1.1.1) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | plg_installer_packageinstaller (3.6.0) 1 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_ldap (3.0.0) 0 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_cookie (3.0.0) 1 | plg_captcha_recaptcha (3.4.0) 0 | plg_content_emailcloak (3.0.0) 1 | plg_content_vote (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_finder (3.0.0) 0 | plg_content_pagebreak (3.0.0) 1 | plg_content_joomla (3.0.0) 1 | plg_content_fields (3.7.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_akeebabackup (1.0) 0 | plg_quickicon_phpversioncheck (3.7.0) 1 | plg_user_profile (3.0.0) 0 | plg_user_joomla (3.0.0) 1 | plg_user_contactcreator (3.0.0) 0 | plg_finder_contacts (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_weblinks (3.5.0) 1 | plg_finder_categories (3.0.0) 1 | plg_system_logout (3.0.0) 1 | plg_system_stats (3.5.0) 0 | plg_system_highlight (3.0.0) 1 | PLG_SYSTEM_AKEEBAUPDATECHECK_T (1.1) 1 | plg_system_log (3.0.0) 1 | plg_system_redirect (3.0.0) 1 | plg_system_languagefilter (3.0.0) 0 | plg_system_sef (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_cache (3.0.0) 0 | plg_system_remember (3.0.0) 1 | plg_system_updatenotification (3.5.0) 0 | plg_system_debug (3.0.0) 1 | plg_system_p3p (3.0.0) 1 | PLG_SYSTEM_BACKUPONUPDATE_TITL (3.7) 1 | System - Admin Tools (4.2.0) 1 | plg_system_fields (3.7.0) 1 | manage.myJoomla.com Secure Plu (n/a) 1 | plg_editors-xtd_module (3.5.0) 0 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_menu (3.7.0) 1 | plg_editors_tinymce (4.5.7) 1 | plg_editors_codemirror (5.25.2) 1 | plg_twofactorauth_yubikey (3.2.0) 0 | plg_twofactorauth_totp (3.2.0) 0 | plg_search_newsfeeds (3.0.0) 1 | plg_search_tags (3.0.0) 1 | plg_search_content (3.0.0) 1 | plg_search_contacts (3.0.0) 1 | plg_search_weblinks (3.5.0) 1 | plg_search_categories (3.0.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_imagelist (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_fields_media (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_text (3.7.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_url (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_usergrouplist (3.7.0) 1 |
Templates Discovered :: wrote:Templates :: SITE :: protostar (1.0) 1 | beez3 (3.1.0) 1 | Baseline (1.0.1) 1 |
Templates :: ADMIN :: isis (1.0) 1 | hathor (3.0.0) 1 |
I've spent 2 days on this now and do not seem to be getting anywhere at all, I'd be happy to take some more sugestions should you have any?

Regards
D

Dtorr1981
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Wed May 06, 2015 8:37 am

Re: Cannot upgrade J3.5.1 to any other version

Post by Dtorr1981 » Wed Jul 12, 2017 12:31 pm

After another attempt, I restored from backup, removed the htaccess file, update the com_joomlaupdate component and used the Joomla update component to run the update. The FPA for this attempt is below:
Last PHP Error(s) Reported :: Forum Post Assistant (v1.3.1) : 12th July 2017 wrote:[12-Jul-2017 13:11:18 Europe/London] PHP Notice: Trying to get property of non-object in /home/wwwsitew/public_html/rmi/fpa-en.php on line 1821
Forum Post Assistant (v1.3.1) : 12th July 2017 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.7.3-Stable (Amani) 4-July-2017
Joomla! Configured :: Yes | Writable (644) | Owner: --protected-- . (uid: 1/gid: 1) | Group: --protected-- (gid: 1) | Valid For: 3.7
Configuration Options :: Offline: 0 | SEF: 1 | SEF Suffix: 0 | SEF ReWrite: 0 | .htaccess/web.config: No | GZip: 0 | Cache: 0 | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: 0 | FTP Layer: 0 | Proxy: 0 | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: N/A | SSL: 0 | FrontEdit: 1 | Error Reporting: maximum | Site Debug: 0 | Language Debug: 0 | Default Access: 1 | Unicode Slugs: 0 | Database Credentials Present: Yes

Host Configuration :: OS: Linux | OS Version: 3.10.0-427.36.1.lve1.4.44.el7.x86_64 | Technology: x86_64 | Web Server: LiteSpeed | Encoding: gzip, deflate, br | Doc Root: --protected-- | System TMP Writable: Yes

PHP Configuration :: Version: 5.6.30 | PHP API: litespeed | Session Path Writable: Yes | Display Errors: | Error Reporting: 32767 | Log Errors To: error_log | Last Known Error: 12th July 2017 13:11:18. | Register Globals: | Magic Quotes: | Safe Mode: | Open Base: | Uploads: 1 | Max. Upload Size: 1G | Max. POST Size: 1G | Max. Input Time: -1 | Max. Execution Time: 120 | Memory Limit: 1024M

MySQL Configuration :: Version: 10.0.31-MariaDB-cll-lve (Client:10.0.31-MariaDB) | Host: --protected-- (--protected--) | Collation: utf8_general_ci (Character Set: utf8) | Database Size: 26.14 MiB | #of Tables:  174
Detailed Environment :: wrote:PHP Extensions :: Core (5.6.30) | date (5.6.30) | ereg () | libxml () | openssl () | pcre () | sqlite3 (0.7-dev) | zlib (2.0) | bz2 () | calendar () | ctype () | curl () | hash (1.0) | filter (0.11.0) | ftp () | gettext () | gmp () | SPL (0.2) | iconv () | pcntl () | readline (5.6.30) | Reflection ($Id: 5f15287237d5f78d75b19c26915aa7bd83dee8b8 $) | session () | standard (5.6.30) | SimpleXML (0.1) | mbstring () | tokenizer (0.1) | xml () | litespeed () | apcu (4.0.11) | mysqli (0.1) | imap () | mysqlnd (mysqlnd 5.0.11-dev - 20120503 - $Id: 76b08b24596e12d4553bd41fc93cccd5bac2fe7a $) | pspell () | tidy (2.0) | bcmath () | intl (1.1.0) | json (1.2.1) | dom (20031129) | PDO (1.0.4dev) | soap () | sockets () | xmlreader (0.1) | fileinfo (1.0.5) | xmlrpc (0.51) | gd () | exif (1.4 $Id: 1c8772f76be691b7b3f77ca31eb788a2abbcefe5 $) | pdo_mysql (1.0.2) | xmlwriter (0.1) | mcrypt () | xsl (0.1) | pdo_sqlite (1.0.1) | suhosin (0.9.37.1) | zip (1.12.5) | Phar (2.0.2) | mysql (1.0) | posix () | mhash () | apc (4.0.11) | ionCube Loader () | Zend OPcache (7.0.4-devFE) | Zend Guard Loader () | Zend Engine (2.6.0) |
Potential Missing Extensions ::

Switch User Environment (Experimental) :: PHP CGI: No | Server SU: No | PHP SU: No | Custom SU (LiteSpeed/Cloud/Grid): Yes
Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) |

Elevated Permissions (First 10) ::
Database Information :: wrote:Database statistics :: Uptime: 154716 | Threads: 49 | Questions: 271656150 | Slow queries: 185 | Opens: 7565020 | Flush tables: 1 | Open tables: 400 | Queries per second avg: 1755.837 |
Extensions Discovered :: wrote:Components :: SITE :: com_mailto (3.0.0) 1 | com_wrapper (3.0.0) 1 |
Components :: ADMIN :: com_installer (3.0.0) 1 | com_tags (3.1.0) 1 | com_finder (3.0.0) 1 | com_redirect (3.0.0) 1 | com_users (3.0.0) 1 | com_config (3.0.0) 1 | com_modules (3.0.0) 1 | com_languages (3.0.0) 1 | com_search (3.0.0) 1 | com_weblinks (3.5.0) 1 | com_joomlaupdate (3.6.2) 1 | com_cache (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_messages (3.0.0) 1 | com_content (3.0.0) 1 | com_contenthistory (3.2.0) 1 | com_media (3.0.0) 1 | com_login (3.0.0) 1 | com_templates (3.0.0) 1 | com_admin (3.0.0) 1 | com_newsfeeds (3.0.0) 1 | com_checkin (3.0.0) 1 | com_ajax (3.2.0) 1 | com_postinstall (3.2.0) 1 | com_categories (3.0.0) 1 | Akeeba (5.4.0) 1 | com_banners (3.0.0) 1 | com_menus (3.0.0) 1 | com_plugins (3.0.0) 1 | Admintools (4.2.0) 1 | com_associations (3.7.0) 1 | com_fields (3.7.0) 1 |

Modules :: SITE :: mod_languages (3.5.0) 1 | mod_syndicate (3.0.0) 1 | mod_weblinks (3.5.0) 1 | mod_custom (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_search (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_login (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_articles_categories (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_articles_latest (3.0.0) 1 |
Modules :: ADMIN :: mod_logged (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_latest (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_status (3.0.0) 1 | mod_login (3.0.0) 1 | mod_title (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_version (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_menu (3.0.0) 1 |

Plugins :: SITE :: plg_installer_webinstaller (1.1.1) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 0 | plg_installer_packageinstaller (3.6.0) 0 | PLG_INSTALLER_URLINSTALLER (3.6.0) 0 | plg_extension_joomla (3.0.0) 1 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_ldap (3.0.0) 0 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_cookie (3.0.0) 1 | plg_captcha_recaptcha (3.4.0) 0 | plg_content_emailcloak (3.0.0) 1 | plg_content_vote (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_finder (3.0.0) 0 | plg_content_pagebreak (3.0.0) 1 | plg_content_joomla (3.0.0) 1 | plg_content_fields (3.7.0) 0 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_akeebabackup (1.0) 0 | plg_quickicon_phpversioncheck (3.7.0) 0 | plg_user_profile (3.0.0) 0 | plg_user_joomla (3.0.0) 1 | plg_user_contactcreator (3.0.0) 0 | plg_finder_contacts (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_weblinks (3.5.0) 1 | plg_finder_categories (3.0.0) 1 | plg_system_logout (3.0.0) 1 | plg_system_stats (3.5.0) 0 | plg_system_highlight (3.0.0) 1 | PLG_SYSTEM_AKEEBAUPDATECHECK_T (1.1) 1 | plg_system_log (3.0.0) 1 | plg_system_redirect (3.0.0) 1 | plg_system_languagefilter (3.0.0) 0 | plg_system_sef (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_cache (3.0.0) 0 | plg_system_remember (3.0.0) 1 | plg_system_updatenotification (3.5.0) 0 | plg_system_debug (3.0.0) 1 | plg_system_p3p (3.0.0) 1 | PLG_SYSTEM_BACKUPONUPDATE_TITL (3.7) 1 | System - Admin Tools (4.2.0) 1 | plg_system_fields (3.7.0) 0 | plg_editors-xtd_module (3.5.0) 0 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 0 | plg_editors-xtd_menu (3.7.0) 0 | plg_editors_tinymce (4.5.7) 1 | plg_editors_codemirror (5.25.2) 1 | plg_twofactorauth_yubikey (3.2.0) 0 | plg_twofactorauth_totp (3.2.0) 0 | plg_search_newsfeeds (3.0.0) 1 | plg_search_tags (3.0.0) 1 | plg_search_content (3.0.0) 1 | plg_search_contacts (3.0.0) 1 | plg_search_weblinks (3.5.0) 1 | plg_search_categories (3.0.0) 1 | plg_fields_calendar (3.7.0) 0 | plg_fields_checkboxes (3.7.0) 0 | plg_fields_color (3.7.0) 0 | plg_fields_editor (3.7.0) 0 | plg_fields_imagelist (3.7.0) 0 | plg_fields_integer (3.7.0) 0 | plg_fields_list (3.7.0) 0 | plg_fields_media (3.7.0) 0 | plg_fields_radio (3.7.0) 0 | plg_fields_sql (3.7.0) 0 | plg_fields_text (3.7.0) 0 | plg_fields_textarea (3.7.0) 0 | plg_fields_url (3.7.0) 0 | plg_fields_user (3.7.0) 0 | plg_fields_usergrouplist (3.7.0) 0 |
Templates Discovered :: wrote:Templates :: SITE :: protostar (1.0) 1 | beez3 (3.1.0) 1 |
Templates :: ADMIN :: isis (1.0) 1 | hathor (3.0.0) 1 |
This is back to the original error:

Code: Select all

[12-Jul-2017 13:26:21 Europe/London] PHP Fatal error:  Class 'JInput' not found in /home/wwwsitew/public_html/rmi/libraries/joomla/application/web.php on line 149
I'm just going round in circles im sure. Lol!

Regards
D

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19704
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Cannot upgrade J3.5.1 to any other version

Post by leolam » Wed Jul 12, 2017 5:59 pm

What is the /log & /tmp path of your installation?

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services

Dtorr1981
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Wed May 06, 2015 8:37 am

Re: Cannot upgrade J3.5.1 to any other version

Post by Dtorr1981 » Wed Jul 12, 2017 10:26 pm

Hi again Leo,

They are set up in the local directory of the install:

Code: Select all

public $log_path = '/home/wwwsitew/public_html/rmi/log';
	public $tmp_path = '/home/wwwsitew/public_html/rmi/tmp';
I'm getting a report of The PHP temporary folder is not set when I click on the upload and update tab, but I have checked the the tmp directory and it seems to be fine, in system information, the tmp path matches that in the config and it is writeable.

Thanks again for your support

Regards
D

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19704
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Cannot upgrade J3.5.1 to any other version

Post by leolam » Thu Jul 13, 2017 3:30 am

Dtorr1981 wrote:

Code: Select all

public $log_path = '/home/wwwsitew/public_html/rmi/log';
	public $tmp_path = '/home/wwwsitew/public_html/rmi/tmp';
So you have setup Joomla in a folder called 'rmi' why not in the root (not related to the issue)
I'm getting a report of The PHP temporary folder is not set when I click on the upload and update tab, but I have checked the the tmp directory and it seems to be fine, in system information, the tmp path matches that in the config and it is writeable.
This is the issue. Check if this post (follow steps) helps you http://www.inmotionhosting.com/support/ ... ry-not-set

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services

Dtorr1981
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Wed May 06, 2015 8:37 am

Re: Cannot upgrade J3.5.1 to any other version

Post by Dtorr1981 » Fri Jul 14, 2017 2:33 pm

Yes, it is in the root as this is a support server of which my main domain runs in the root.

I have already added php.ini files to both the root rmi folder and the rmi/administrator folder - the error is still reporting. I'll wait and see if I can ask the host for an apache restart in case this is required for the setting s to take affect.

I did this a couple of days ago but the issue did not resolve itself.

Does this php.ini change normally require a restart?

Regards
D

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19704
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Cannot upgrade J3.5.1 to any other version

Post by leolam » Sat Jul 15, 2017 6:24 am

Dtorr1981 wrote:Yes, it is in the root as this is a support server
no it is not. The root directory is the public_html folder
Does this php.ini change normally require a restart?
Yes Apache needs to be restarted

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services

Dtorr1981
Joomla! Apprentice
Joomla! Apprentice
Posts: 15
Joined: Wed May 06, 2015 8:37 am

Re: Cannot upgrade J3.5.1 to any other version

Post by Dtorr1981 » Tue Jul 18, 2017 12:28 am

Hi Leo, Apologies - this is my 3rd attempt at responding...my posts are sending but not appearing...? Odd, anyway...
no it is not. The root directory is the public_html folder
My bad, I replied from my mobile, so i'm not sure what/why i said it was - of course it isnt...lol.
Yes Apache needs to be restarted
I've spoken to my host and as they use Cloudlinux, they do not currently support custom php.ini's for sub domains - however....I have used a standard softlacuous install from cPanel and this still shows the 'PHP temporary folder not set' message, as does my main domain hosted in the root.

I have overwritten all files via FTP, still to no avail, so I'm leaning more towards a DB issue here - any additional thoughts?

Regards
D


Locked

Return to “Migrating and Upgrading to Joomla! 3.x”